- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
qi::ClientAuthenticator Class Reference

`#include <clientauthenticator.hpp>`

## Public Member Functions
virtual | ~ClientAuthenticator ()
virtual CapabilityMap | initialAuthData ()
CapabilityMap | processAuth (const CapabilityMap &authData)

## Protected Member Functions
virtual CapabilityMap | _processAuth (const CapabilityMap &authData)
| processAuth Processes an authentication message client side. This can be used to process a challenge sent by the server, for example. If the authentication is meant to be done in a single step (with `InitialAuthData`) then it's not necessary to override this function. More...

## Detailed Description

Definition at line 19 of file clientauthenticator.hpp.

## Constructor & Destructor Documentation

virtual qi::ClientAuthenticator::~ClientAuthenticator | ( |  | ) |
| inline virtual

Definition at line 22 of file clientauthenticator.hpp.

## Member Function Documentation

virtual CapabilityMap qi::ClientAuthenticator::_processAuth | ( | const CapabilityMap & | authData | ) |
| inline protected virtual

processAuth Processes an authentication message client side. This can be used to process a challenge sent by the server, for example. If the authentication is meant to be done in a single step (with `InitialAuthData`) then it's not necessary to override this function.

Parameters

  authData | authentication data sent by the remote server.

Returns
  A map of data that the server will use in the authentication process. For example, a resolved challenge.

Definition at line 39 of file clientauthenticator.hpp.

virtual CapabilityMap qi::ClientAuthenticator::initialAuthData | ( |  | ) |
| virtual

CapabilityMap qi::ClientAuthenticator::processAuth | ( | const CapabilityMap & | authData | ) |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/messaging/clientauthenticator.hpp